emms_4.4-1_amd64.deb


Advertisement

Description

emms - Emacs MultiMedia System

Property Value
Distribution Ubuntu 18.04 LTS (Bionic Beaver)
Repository Ubuntu Universe amd64
Package name emms
Package version 4.4
Package release 1
Package architecture amd64
Package type deb
Installed size 1021 B
Download size 188.01 KB
Official Mirror archive.ubuntu.com
EMMS is the Emacs Multi-Media System. It tries to be a clean and
small application to play multimedia files from Emacs using external
players.

Alternatives

Package Version Architecture Repository
emms_4.4-1_i386.deb 4.4 i386 Ubuntu Universe
emms - - -

Requires

Name Value
emacs -
emacs-snapshot -
emacsen -
emacsen-common >= 2.0.8
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
libtag1v5 >= 1.9.1-2.2~

Download

Type URL
Binary Package emms_4.4-1_amd64.deb
Source Package emms

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install emms deb package:
    # sudo apt-get install emms

Files

Path
/etc/emacs/site-start.d/50emms.el
/usr/bin/emms-print-metadata
/usr/lib/emacsen-common/packages/compat/emms
/usr/lib/emacsen-common/packages/install/emms
/usr/lib/emacsen-common/packages/remove/emms
/usr/share/doc-base/emms
/usr/share/doc/emms/AUTHORS
/usr/share/doc/emms/NEWS.gz
/usr/share/doc/emms/README
/usr/share/doc/emms/changelog.Debian.gz
/usr/share/doc/emms/copyright
/usr/share/doc/emms/emms.html
/usr/share/emacs/site-lisp/emms/emms-auto.el
/usr/share/emacs/site-lisp/emms/emms-bookmarks.el
/usr/share/emacs/site-lisp/emms/emms-browser.el
/usr/share/emacs/site-lisp/emms/emms-cache.el
/usr/share/emacs/site-lisp/emms/emms-compat.el
/usr/share/emacs/site-lisp/emms/emms-cue.el
/usr/share/emacs/site-lisp/emms/emms-history.el
/usr/share/emacs/site-lisp/emms/emms-i18n.el
/usr/share/emacs/site-lisp/emms/emms-info-libtag.el
/usr/share/emacs/site-lisp/emms/emms-info-metaflac.el
/usr/share/emacs/site-lisp/emms/emms-info-mp3info.el
/usr/share/emacs/site-lisp/emms/emms-info-ogginfo.el
/usr/share/emacs/site-lisp/emms/emms-info.el
/usr/share/emacs/site-lisp/emms/emms-last-played.el
/usr/share/emacs/site-lisp/emms/emms-librefm-scrobbler.el
/usr/share/emacs/site-lisp/emms/emms-librefm-stream.el
/usr/share/emacs/site-lisp/emms/emms-lyrics.el
/usr/share/emacs/site-lisp/emms/emms-maint.el
/usr/share/emacs/site-lisp/emms/emms-mark.el
/usr/share/emacs/site-lisp/emms/emms-metaplaylist-mode.el
/usr/share/emacs/site-lisp/emms/emms-mode-line-icon.el
/usr/share/emacs/site-lisp/emms/emms-mode-line.el
/usr/share/emacs/site-lisp/emms/emms-player-mpd.el
/usr/share/emacs/site-lisp/emms/emms-player-mpg321-remote.el
/usr/share/emacs/site-lisp/emms/emms-player-mplayer.el
/usr/share/emacs/site-lisp/emms/emms-player-simple.el
/usr/share/emacs/site-lisp/emms/emms-player-vlc.el
/usr/share/emacs/site-lisp/emms/emms-player-xine.el
/usr/share/emacs/site-lisp/emms/emms-playing-time.el
/usr/share/emacs/site-lisp/emms/emms-playlist-limit.el
/usr/share/emacs/site-lisp/emms/emms-playlist-mode.el
/usr/share/emacs/site-lisp/emms/emms-playlist-sort.el
/usr/share/emacs/site-lisp/emms/emms-score.el
/usr/share/emacs/site-lisp/emms/emms-setup.el
/usr/share/emacs/site-lisp/emms/emms-show-all.el
/usr/share/emacs/site-lisp/emms/emms-source-file.el
/usr/share/emacs/site-lisp/emms/emms-source-playlist.el
/usr/share/emacs/site-lisp/emms/emms-stream-info.el
/usr/share/emacs/site-lisp/emms/emms-streams.el
/usr/share/emacs/site-lisp/emms/emms-tag-editor.el
/usr/share/emacs/site-lisp/emms/emms-url.el
/usr/share/emacs/site-lisp/emms/emms-volume-amixer.el
/usr/share/emacs/site-lisp/emms/emms-volume-pulse.el
/usr/share/emacs/site-lisp/emms/emms-volume.el
/usr/share/emacs/site-lisp/emms/emms.el
/usr/share/emacs/site-lisp/emms/jack.el
/usr/share/emacs/site-lisp/emms/later-do.el
/usr/share/info/emms.info.gz
/usr/share/man/man1/emms-print-metadata.1.gz

Changelog

2017-12-13 - Arnaud Fontaine <arnau@debian.org>
emms (4.4-1) unstable; urgency=low
* New upstream release.
* d/control:
+ emacs24 has been removed (#871627) so use emacs25 in Build-Depends.
+ Bump Standards-Version to 4.1.2.
- Use HTTPS URL in Homepage field.
2016-11-15 - Arnaud Fontaine <arnau@debian.org>
emms (4.2-1) unstable; urgency=low
* New upstream release.
2016-06-10 - Arnaud Fontaine <arnau@debian.org>
emms (4.1-1) unstable; urgency=low
* New upstream release.
+ Drop debian/patches/fix_sigsegv.patch applied upstream.
+ Copy of tq.el from Emacs has been removed. Closes: #813965.
* d/control:
+ Bump Standards-Version to 3.9.8. No changes needed.
+ Drop Depends on w3m-el* as it was only needed to byte-compile lastfm
code which has been removed upstream. Closes: #780648.
+ Bump debhelper Depends to recommended version 9.
* d/copyright: Update copyright years.
* d/patches:
+ lisp-jack.el-In-recent-kernels-proc-asound-cards-can.patch: In
recent kernels, /proc/asound/cards can have lines beginning with a
space. Thanks to Kevin Ryde. Closes: #716648.
* d/watch: Add GPG signature verification of upstream tarball.
+ debian/upstream/signing-key.pgp: Downloaded from
https://savannah.gnu.org/project/memberlist-gpgkeys.php?group=emms
- Add this file to debian/source/include-binaries (dpkg-source error).
2014-07-30 - Arnaud Fontaine <arnau@debian.org>
emms (4.0-2) unstable; urgency=low
* Remove support for xemacs21 as it is not supported anymore since
`declare-function' is not defined (at least in 21.4.22).
2014-07-29 - Arnaud Fontaine <arnau@debian.org>
emms (4.0-1) unstable; urgency=low
* New upstream release.
+ d/docs: FAQ has been removed upstream.
+ d/watch: Update URL.
* d/control: Bump Standards-Version to 3.9.5. No change needed.
* Emacs23 is going to be removed from the archive. Closes: #754008.
+ d/control:
- Build-Depends on emacs24-nox rather than emacs23.
- Drop Depends on emacs23 and Depends instead of emacs | emacsen.
* Follow Debian Emacs Policy:
+ d/control: Bump emacsen-common Depends to >= 2.0.8.
+ d/emacsen-compat: Set emacs-common compatibility level to 0.
* d/copyright: Update copyright years.
* d/patches/changelog.patch: Drop as ChangeLog is now provided.
* d/patches/fix_sigsegv.patch: Add patch to fix SIGSEGV. Closes: #715864.
2013-09-11 - Arnaud Fontaine <arnau@debian.org>
emms (3.0+20130821+1.git2fba618-1) unstable; urgency=low
* New Git upstream snapshot:
+ debian/patches/makefile-add-missing-cppflags-to-compiler.patch,
debian/patches/remove-emms-playlist-sort-by-score-from-documentation.patch,
debian/patches/rename-too-generic-name-generate-autoloads.patch,
debian/patches/support-both-xemacs-and-emacs-to-highlight-playing-lyrics.patch,
debian/patches/fix-byte-compilation-with-emacs24.patch:
- Dropped as they have been applied upstream.
+ FTBFS with texinfo5 has been fixed. Closes: #712324.
2013-03-27 - Arnaud Fontaine <arnau@debian.org>
emms (3.0+20110425+1.git298e022-5) experimental; urgency=low
* debian/control:
+ Add emacs24 to Depends as EMMS should be compatible. Closes: #703004.
+ Bump Standards-Version to 3.9.4. No change needed.
2013-03-11 - Arnaud Fontaine <arnau@debian.org>
emms (3.0+20110425+1.git298e022-4) unstable; urgency=low
* debian/control:
+ Require emacsen-common >= 2.0.5 because of #693472.
* debian/emacsen-install:
+ As emacs22 is not supported since squeeze, it must be ignored.
Closes: #699743.
2012-06-07 - Arnaud Fontaine <arnau@debian.org>
emms (3.0+20110425+1.git298e022-3) unstable; urgency=low
* debian/control:
+ Allow w3m-el-snapshot in addition to w3m-el in Depends. Closes: #673932.
* debian/emacsen-install:
+ Log byte-compilation output in a log rather than on the console.
+ Avoid byte-compiling if it has already been done before.

See Also

Package Description
empathy-common_3.25.90+really3.12.14-0ubuntu1_all.deb GNOME multi-protocol chat and call client (common files)
empathy_3.25.90+really3.12.14-0ubuntu1_amd64.deb GNOME multi-protocol chat and call client
empire-hub_1.0.2.2_amd64.deb Empire protocol multiplexer
empire-lafe_1.1-1build2_amd64.deb Fast line-mode Empire client
empire_1.14-1build1_amd64.deb war game of the century
empty-expect_0.6.20b-1ubuntu1_amd64.deb Run processes and applications under pseudo-terminal
emscripten-doc_1.22.1-1build1_all.deb LLVM-to-JavaScript Compiler
emscripten_1.22.1-1build1_amd64.deb LLVM-to-JavaScript Compiler
emu8051_1.1.1-1build1_amd64.deb Emulator and simulator for 8051 microcontrollers
enamdict_2016.12.06-1_all.deb Dictionary of Japanese proper names
enblend_4.2-3_amd64.deb image blending tool
enca_1.19-1_amd64.deb Extremely Naive Charset Analyser - binaries
encfs_1.9.2-2build2_amd64.deb encrypted virtual filesystem
encuentro_5.0-1_all.deb Access the content of the Encuentro channel, and others
endless-sky-data_0.9.8-1_all.deb data files for Endless Sky
Advertisement
Advertisement